# EXAMPLE PROBLEM FOR GP TESTS.
#
# Radford M. Neal, 2010.

set.seed(1234)

n <- 100
p <- 12

z <- matrix (rnorm(p*n), n, p)

z[,2] <- 0.25*z[,1] + sqrt(1-0.25^2)*z[,2]
z[,3] <- 0.25*z[,2] + sqrt(1-0.25^2)*z[,3]

z[,4] <- 0.99*z[,1] + sqrt(1-0.99^2)*z[,4]
z[,5] <- 0.99*z[,2] + sqrt(1-0.99^2)*z[,5]
z[,6] <- 0.99*z[,3] + sqrt(1-0.99^2)*z[,6]

z[,7] <- 0.90*z[,1] + sqrt(1-0.90^2)*z[,7]
z[,8] <- 0.90*z[,2] + sqrt(1-0.90^2)*z[,8]
z[,9] <- 0.90*z[,3] + sqrt(1-0.90^2)*z[,9]

y <- 0.7*z[,1]^2 + 
     0.8*sin(0.3+(4.5+0.5*z[,1])*z[,2]) + 
     0.85*cos(0.1+5*z[,3]+0.1*z[,2]^2) + 
     rnorm(n,0,0.4)

ex.const <- 1
ex.jitter <- 0.01
ex.eta.mean <- log(1)
ex.eta.sd <- 1.5
ex.sigma.mean <- log(0.5)
ex.sigma.sd <- 1.5
ex.nu.mean <- rep(log(0.5),p)
ex.nu.sd <- 1.0
ex.nu.sd2 <- 1.5
